AIX FTPd libc Library Remote Buffer Overflow

critical Nessus Plugin ID 10009

Synopsis

The remote host is affected by a remote buffer overflow vulnerability.

Description

It was possible to crash the remote FTP server by issuing the command :

CEL aaaa[...]aaaa

This problem is known as the 'AIX FTPd' overflow and may allow the remote user to easily gain access to the root (super-user) account on the remote system.

Solution

If you are using AIX FTPd, then read IBM's advisory number ERS-SVA-E01-1999:004.1, or contact your vendor for a patch.

See Also

http://archives.neohapsis.com/archives/bugtraq/1999-q3/1089.html

Plugin Details

Severity: Critical

ID: 10009

File Name: aix_ftpd.nasl

Version: 1.50

Type: remote

Family: FTP

Published: 9/30/1999

Updated: 6/29/2018

Configuration: Enable paranoid mode

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: Critical

Base Score: 10

Temporal Score: 7.8

Vector: AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: E:POC/RL:OF/RC:C

Vulnerability Information

Required KB Items: Settings/ParanoidReport

Exploit Available: true

Exploit Ease: Exploits are available

Vulnerability Publication Date: 9/28/1999

Reference Information

CVE: CVE-1999-0789

BID: 679